#ifndef CONFIGURATIONDLGIMPL_H
#define CONFIGURATIONDLGIMPL_H
//
#include "ui_configurationdlg.h"

#include "configurationmodel.h"
//
class ConfigurationDlgImpl : public QDialog, public Ui::ConfigurationDlg
{
Q_OBJECT
public:
	ConfigurationDlgImpl( QWidget * parent = 0, Qt::WFlags f = 0 );
	
	void setConfigurationManager(ConfigurationManager *confMgr);
	
private slots:
	void on_ckCloseToTray_clicked();
	void on_ckUseTrayIcon_clicked();
	void on_okButton_clicked();
	void on_tbDefaultFontColor_clicked();
	void on_tbEditorColor_clicked();
	void on_tbTreeColor_clicked();

private:
	void drawColor(QToolButton *button, QColor color);
	void fillComboSize();
	void updateConfigurationManager();
	
	ConfigurationManager *m_confManager;
	
	QColor m_currentDefaultFontColor;
	QColor m_currentEditorColor;
	QColor m_currentTreeColor;
};
#endif






